Bug 1659417 - headphone audio broken by recent updates on Dell Inspiron 7510
Summary: headphone audio broken by recent updates on Dell Inspiron 7510
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-14 10:36 UTC by Steffen Seeger
Modified: 2020-11-24 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:49:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Steffen Seeger 2018-12-14 10:36:25 UTC
Description of problem:
With recent updates, headphone audio support broke on Dell Inspiron 7510
laptop hardware. Audio playback can be started and is heard playing through
the integrated speakers. When a headphone jack is plugged in (may be
an actual headphone or line-in cable), no audio is heard. Instead, 
pop and click-noises are heard that suggest some DC voltage is present
on the line. Changes of headphone volume or other settings do not
change the behaviour.

There is no defect in the headphone audio hardware itself, as has been
verfied by starting from an installer live-image and playing test
sound from the KDE settings dialog. 

Version-Release number of selected component (if applicable):
F29, kernel 4.19.8-300, alsa 1.1.7-2, other components updated
as of 2018-12-14.

How reproducible:
Consistently appears each time a headphone is plugged in.

Steps to Reproduce:
1. Start audio player.
2. Plug in headphones or line cable.

Actual results:
pop and click noises as audio playback start/stops.


Expected results:
reproduce the audio signals played on headphones/line-out

Comment 1 Steffen Seeger 2018-12-18 11:07:05 UTC
I have investigated the issue further and found that
it appears only in combination with nvidia proprietary
driver rev. 415.22 installed.

suggested workaround:
uninstall NVIDIA driver or downgrade to rev. 415.18.

Comment 2 Ben Cotton 2019-08-13 16:49:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2020-11-03 15:06:13 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-11-24 16:49:34 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.